UNEXPAND(1)

NAZWA
unexpand - zamień znaki spacji na tabulacje

SKŁADNIA

unexpand
    [-a] [-tab1[,tab2[,...]]] [-t tab1[,tab2[,...]]]
    [--tabs=tab1[,tab2[,...]]] [--all]
    [--help] [--version] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo unexpand
lub
    info unexpand.

Ta strona podręcznika opisuje polecenie unexpand w wersji GNU.

unexpand wypisuje zawartość każdego podanego pliku, lub standardowego wejścia jeśli nie podano żadnego lub podano plik zwany '-', na standardowe wyjście, zamieniając łańcuchy dwu lub więcej spacji na tyle tabulacji ile to możliwe, plus tyle spacji ile potrzeba. Domyślnie unexpand konwertuje w każdej linii tylko spacje i tabulacje początkowe (poprzedzające wszystkie znaki nie będące spacjami i tabulacjami). Zachowuje w wyniku znaki backspace; zmniejszają one licznik kolumn w obliczeniach tabulacji. Domyślnie tabulacje ustawiane są co ósmą kolumnę.

OPCJE

-, -t, --tabs=tab1[,tab2[,...]]
    Jeśli podano tylko jedną pozycję tabulacji, ustawia tabulacje co tab1 spacji zamiast domyślnych ośmiu. W przeciwnym razie, ustawia tabulacje w kolumnach tab1, tab2, itd. (liczone od 0) i pozostawia spacje i tabulacje poza podanymi pozycjami niezmienione. Jeśli pozycje tabulacji podano opcją -t lub --tabs, mogą być one oddzielone nie tylko przecinkami, ale i znakami pustymi. Opcja ta zakłada opcję -a.

-a, --all
    Konwertuje na tabulacje wszystkie łańcuchy dwu lub więcej spacji lub tabulacji, nie tylko początkowe.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
expand(1), tr(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.